{
  "name": "saas-bi",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@ant-design/icons": "^6.0.0",
    "@ant-design/x": "^1.1.1",
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/modifiers": "^9.0.0",
    "@dnd-kit/sortable": "^10.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "@fortaine/fetch-event-source": "^3.0.6",
    "@tanstack/react-query": "^5.76.2",
    "@tanstack/react-query-devtools": "^5.76.2",
    "antd": "^5.24.8",
    "axios": "^1.8.4",
    "blueimp-md5": "^2.19.0",
    "echarts": "^5.6.0",
    "echarts-for-react": "^3.0.2",
    "echarts-wordcloud": "^2.1.0",
    "lodash-es": "^4.17.21",
    "lucide-react": "^0.503.0",
    "normalize.css": "^8.0.1",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-error-boundary": "^5.0.0",
    "react-markdown": "^10.1.0",
    "react-router": "^7.4.0",
    "rehype-highlight": "^7.0.2",
    "rehype-raw": "^7.0.0",
    "remark-gfm": "^4.0.1",
    "xlsx": "https://cdn.sheetjs.com/xlsx-0.20.3/xlsx-0.20.3.tgz",
    "zustand": "^5.0.3"
  },
  "devDependencies": {
    "@types/blueimp-md5": "^2.18.2",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^22.13.9",
    "@types/react": "^18.3.18",
    "@types/react-dom": "^18.3.5",
    "@typescript-eslint/eslint-plugin": "^7.18.0",
    "@typescript-eslint/parser": "^7.18.0",
    "@vitejs/plugin-react-swc": "^3.8.0",
    "eslint": "^8.57.0",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.19",
    "sass-embedded": "^1.85.1",
    "typescript": "^5.2.2",
    "vite": "^6.2.3",
    "vite-plugin-mkcert": "^1.17.8"
  }
}
